Name:           ois
Version:        1.2.0
Release:        2%{?dist}
Summary:        Open Input System, OO gaming input library
Group:          System Environment/Libraries
License:        zlib
URL:            http://sourceforge.net/projects/wgois
Source0:        http://downloads.sourceforge.net/wgois/%{name}_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libtool libXaw-devel

%description
Object Oriented Input System (OIS) is meant to be a cross platform, simple
solution for using all kinds of Input Devices (KeyBoards, Mice, Joysticks, etc)
and feedback devices (e.g. forcefeedback). Written in C++ using Object Oriented
Design patterns.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       pkgconfig, %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}
chmod -x `find includes -type f` `find src -type f` ReadMe.txt
./bootstrap


%build
%configure --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ReadMe.txt
%{_libdir}/libOIS-1.2.0.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/OIS
%{_libdir}/libOIS.so
%{_libdir}/pkgconfig/OIS.pc


%changelog
* Thu Nov 19 2009 Bruno Wolff III <bruno@wolff.to> - 1.2.0-2
- Fix unneeded linking to libm

* Tue Nov 17 2009 Bruno Wolff III <bruno@wolff.to> - 1.2.0-1
- Update to 1.2 for use in dungeonhack

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-4
- Autorebuild for GCC 4.3

* Wed Jan  9 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-3
- Fix compilation gcc 4.3

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-2
- Update License tag for new Licensing Guidelines compliance

* Sun Jul  1 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-1
- Initial Fedora package
